package com.bytedance.android.live_settings;

import X.B6m;
import X.LeS;
import X.Ls2;
import com.bytedance.covode.number.Covode;
import java.util.List;

public final class SettingsManager$mCacheValueTypes$2 extends B6m implements Ls2<List<? extends String>> {
    public static final SettingsManager$mCacheValueTypes$2 INSTANCE = new SettingsManager$mCacheValueTypes$2();

    static {
        Covode.recordClassIndex(11204);
    }

    public SettingsManager$mCacheValueTypes$2() {
        super(0);
    }

    public final List<String> invoke() {
        return LeS.LIZIZ(new String[]{"int", "long", "boolean", "double", "float", "java.lang.String"});
    }
}
